#define trigPin 6
#define echoPin 5

void setup() {
  // Inicializa a comunicação serial a 9600 bps
  Serial.begin(9600);
  
  // Configura os pinos do sensor ultrassônico
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}

void loop() {
  // Variáveis para armazenar o tempo e a distância
  long duration;
  int distance;

  // Gera um pulso de 10 microssegundos no pino trig
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  // Mede o tempo do pulso de eco
  duration = pulseIn(echoPin, HIGH);

  // Calcula a distância em centímetros
  distance = duration * 0.034 / 2;

  // Envia a distância para o Python via serial
  Serial.println(distance);

  // Delay entre medições
  delay(1000);
}
